<form autocomplete="off" data-tooltip-class="pf1">
  {{#if hasAttack}}
  <div class="form-group">
    <label>{{localize "PF1.Rolls.Check.Override"}}</label>
    <div class="form-fields">
      <i class="fa-solid fa-dice-d20 fa-fw"></i>
      <input class="attribute" type="text" name="d20" value="{{attributes.d20}}" placeholder="{{localize "PF1.Rolls.Check.OverrideHint"}}">
    </div>
  </div>
  <div class="form-group">
    <label>{{localize "PF1.Rolls.Bonus"}}</label>
    <div class="form-fields">
      <i class="fa-solid fa-plus-minus fa-fw"></i>
      <input class="attribute" type="text" name="attack-bonus" value="{{attributes.attack-bonus}}" placeholder="{{localize "PF1.Rolls.BonusHint"}}">
    </div>
  </div>
  {{/if}}
  {{#if hasDamage}}
  <div class="form-group">
    <label>{{#if isHealing}}{{localize "PF1.HealBonus"}}{{else}}{{localize "PF1.DamageBonus"}}{{/if}}</label>
    <div class="form-fields">
      {{#if isHealing}}
      <i class="fa-solid fa-heart-pulse fa-fw"></i>
      {{else}}
      <i class="fa-solid fa-heart-crack fa-fw"></i>
      {{/if}}
      <input class="attribute" type="text" name="damage-bonus" value="{{attributes.damage-bonus}}" placeholder="{{#if isHealing}}{{localize "PF1.HealBonusHint"}}{{else}}{{localize "PF1.DamageBonusHint"}}{{/if}}">
    </div>
  </div>
  {{/if}}

  {{!-- Flags --}}
  {{#if (or hasAttack hasDamage)}}
  <div class="form-group stacked flags">
    <label>{{localize "PF1.Misc"}}</label>
    <label class="checkbox">
      <input type="checkbox" name="haste-attack" {{checked flags.haste-attack}}> {{localize "PF1.Haste"}}
    </label>
    {{#if isMeleeWeaponAttackAction}}
    <label class="checkbox">
      <input type="checkbox" name="power-attack" {{checked flags.power-attack}}> {{localize "PF1.PowerAttack"}}
    </label>
    {{/if}}
    {{#if isRangedWeaponAttackAction}}
    <label class="checkbox">
      <input type="checkbox" name="power-attack" {{checked flags.power-attack}}> {{localize "PF1.DeadlyAim"}}
    </label>
    <label class="checkbox">
      <input type="checkbox" name="manyshot" {{checked flags.manyshot}}> {{localize "PF1.Manyshot"}}
    </label>
    <label class="checkbox">
      <input type="checkbox" name="rapid-shot" {{checked flags.rapid-shot}}> {{localize "PF1.RapidShot"}}
    </label>
    <label class="checkbox">
      <input type="checkbox" name="point-blank-shot" {{checked flags.point-blank-shot}}> {{localize "PF1.PointBlankShot"}}
    </label>
    {{/if}}
    {{#if isNaturalAttack}}
    <label class="checkbox">
      <input type="checkbox" {{checked flags.primary-attack}} name="primary-attack"> {{localize "PF1.PrimaryAttack"}}
    </label>
    {{/if}}
  </div>
  {{/if}}

  {{!-- Conditionals --}}
  {{#if action.data.conditionals}}
  <div class="form-group stacked conditionals">
    <label>{{localize "PF1.Conditionals"}}</label>
    {{#each action.data.conditionals as |conditional a|}}
    <label class="checkbox">
      <input type="checkbox" data-dtype="Boolean" name="conditional.{{a}}" class="conditional" {{checked (lookup ../conditionals (concat "conditional." a))}}> {{lookup this "name"}}
    </label>
    {{/each}}
  </div>
  {{/if}}

  {{#if hasDamage}}{{#if hasDamageAbility}}
  <div class="form-group select">
    <label>{{localize "PF1.DamageAbility"}}</label>
    <div class="form-fields">
      <i class="fa-solid fa-explosion fa-fw"></i>
      <select name="damage-ability-multiplier">
        {{selectOptions config.abilityDamageMultipliers selected=attributes.damage-ability-multiplier nameAttr="value" labelAttr="label"}}
      </select>
    </div>
  </div>
  {{/if}}{{/if}}

  {{#if canConfigurePowerAttack}}
  <div class="form-group select">
    <label>{{localize "PF1.PowerAttackMode"}}</label>
    <div class="form-fields">
      <i class="fa-solid fa-hands fa-fw"></i>
      <select name="held">
        {{selectOptions config.weaponHoldTypes selected=attributes.held}}
      </select>
    </div>
  </div>
  {{/if}}

  {{#if isSpell}}
  <div class="form-group">
    <label>{{localize "PF1.CasterLevelOffset"}}</label>
    <div class="form-fields">
      <input class="attribute" type="number" data-dtype="Number" value="{{attributes.cl-offset}}" name="cl-offset">
    </div>
  </div>

  <div class="form-group">
    <label>{{localize "PF1.SpellLevelOffset"}}</label>
    <div class="form-fields">
      <input class="attribute" type="number" data-dtype="Number" value="{{attributes.sl-offset}}" name="sl-offset">
    </div>
  </div>

  <div class="form-group">
    <label>{{localize "PF1.ConcentrationCheck"}}</label>
    <div class="form-fields">
      <input type="checkbox" data-dtype="Boolean" name="concentration" {{checked flags.concentration}}>
    </div>
  </div>

  <div class="form-group">
    <label>{{localize "PF1.CasterLevelCheck"}}</label>
    <div class="form-fields">
      <input type="checkbox" data-dtype="Boolean" name="cl-check" {{checked flags.cl-check}}>
    </div>
  </div>
  {{/if}}

  {{!-- Attacks (preview only, for now) --}}
  {{#if hasAttack}}
  <div class="attacks">
    <div class='attack-header'>
      <h3 class='name'>{{localize "PF1.Attack"}}</h3>
      <h3 class='bonus'>{{localize "PF1.ModifierAbbr"}}</h3>
      {{#if @root.usesAmmo}}
      <h3 class='ammo'>{{localize "PF1.AmmunitionAbbr"}}</h3>
      {{/if}}
    </div>
    {{#each attacks as |atk idx|}}
    <div class="attack" data-index="{{idx}}">
      <label class="name" data-tooltip="PF1.Name">{{atk.label}}</label>
      <label class="bonus" data-tooltip="PF1.AttackRollBonus">{{#unless abstract}}{{numberFormat atk.attackBonusTotal sign=true}}{{/unless}}</label>
      {{#if @root.usesAmmo}}
        <div class="ammo ammo-select">
          <div class="flexrow">
            {{#if atk.ammo}}
              <img src="{{atk.ammo.data.img}}"></img>
              <span>{{atk.ammo.data.name}}</span>
            {{else}}
              <span class="no-ammo-selected"><i class="fa-solid fa-triangle-exclamation"></i> {{localize "PF1.NotSelected"}}</span>
            {{/if}}
            <i class="fas fa-chevron-down"></i>
          </div>
          <ul class="ammo-list">
            {{!-- No ammo --}}
            <li class="ammo-item" data-id="null">
              <span>{{localize "PF1.None"}}</span>

              <div class="controls">
                <a data-type="set-default" data-tooltip="PF1.Default"><i class="fas fa-cog"></i></a>
                <a data-type="set-all" data-tooltip="PF1.ApplyToAll"><i class="fas fa-plus"></i></a>
              </div>
            </li>
            {{!-- Ammo items --}}
            {{#each @root.ammo as |ammo|}}
              <li class="ammo-item{{#if ammo.isDefault}} default{{/if}}" data-id="{{ammo.data._id}}">
                <img src="{{ammo.data.img}}"></img>
                <span>{{ammo.data.name}} ({{ammo.data.system.quantity}})</span>

                <div class="controls">
                  <a data-type="set-default" data-tooltip="PF1.Default"><i class="fas fa-cog"></i></a>
                  <a data-type="set-all" data-tooltip="PF1.ApplyToAll"><i class="fas fa-plus"></i></a>
                </div>
              </li>
            {{/each}}
          </ul>
        </div>
      {{/if}}
    </div>
    {{/each}}
  </div>
  {{/if}}

  <div class="form-group stacked">
    {{#if hasTemplate}}
    <label class="checkbox">
      <input type="checkbox" name="measure-template" {{checked flags.measure-template}}> {{localize "PF1.MeasureTemplate"}}
    </label>
    {{/if}}
  </div>

  <div class="form-group">
    <label>{{localize "PF1.RollMode"}}</label>
    <div class="form-fields">
      <i class="fa-solid fa-eye-low-vision fa-fw"></i>
      <select name="rollMode">
        {{selectOptions rollModes selected=attributes.rollMode localize=true}}
      </select>
    </div>
  </div>

  <div class="form-group">
    {{#if hasAttack}}
    <button type="button" name="attack_single">
      {{localize "PF1.SingleAttack"}}
    </button>

    <button type="submit" name="attack_full">
      {{localize "PF1.FullAttack"}}
    </button>
    {{else}}
    <button type="submit" name="attack_full">
      {{localize "PF1.Use"}}
    </button>
    {{/if}}
  </div>
</form>
